library(ggplot2)

#faili sisselugemine ja andmete formaadi korrigeerimine
J413=read.csv("PT4-T4.1-J4.1.3.csv",header=TRUE, encoding ="UTF-8")[,1:3]
names(J413)=gsub("\\.", " ", names(J413))
J413$Riik[J413$Riik=="Venemaa"]="Serbia"

#joonis
ggplot(J413)+
  geom_point(aes(x=`Eluga rahulolu`,y=`Digioskused`),cex=3,col="#FF3600")+
  geom_label(aes(x=`Eluga rahulolu`-0.02,y=`Digioskused`+0.02,label=Riik),cex=3,position=position_dodge(0.01),color="#668080",fontface="bold")+
  geom_abline(aes(slope=0, intercept=4.064286),color="#668080")+
  geom_vline(xintercept=7.252143,color="#668080")+
  theme_minimal()+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  scale_x_continuous(breaks=seq(6.5,8,0.25))+
  scale_y_continuous(breaks=seq(3.7,4.3,0.1))+
  xlab("Eluga rahulolu")+
  ylab("Digioskused")







